Share via


Instance Failover Groups - Failover

Fails over from the current primary managed instance to this managed instance.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/locations/{locationName}/instanceFailoverGroups/{failoverGroupName}/failover?api-version=2025-01-01

URI Parameters

Name In Required Type Description
failoverGroupName
path True

string

The name of the failover group.

locationName
path True

string

The name of the region where the resource is located.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

InstanceFailoverGroup

Azure operation completed successfully.

202 Accepted

Resource operation accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Planned failover of a failover group

Sample request

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/locations/Japan West/instanceFailoverGroups/failover-group-test-3/failover?api-version=2025-01-01

Sample response

{
  "name": "failover-group-test-3",
  "type": "Microsoft.Sql/locations/instanceFailoverGroups",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/locations/JapanWest/instanceFailoverGroups/failover-group-test-3",
  "properties": {
    "managedInstancePairs": [
      {
        "partnerManagedInstanceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/managedInstances/failover-group-primary-mngdInstance",
        "primaryManagedInstanceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/managedInstances/failover-group-secondary-mngdInstance"
      }
    ],
    "partnerRegions": [
      {
        "location": "Japan East",
        "replicationRole": "Secondary"
      }
    ],
    "readOnlyEndpoint": {
      "failoverPolicy": "Disabled"
    },
    "readWriteEndpoint": {
      "failoverPolicy": "Automatic",
      "failoverWithDataLossGracePeriodMinutes": 480
    },
    "replicationRole": "Primary",
    "replicationState": "CATCH_UP",
    "secondaryType": "Geo"
  }
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/JapanWest/instanceFailoverGroupOperationResults/failover-group-test-3?api-version=2022-05-01-preview

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

InstanceFailoverGroup

An instance failover group.

InstanceFailoverGroupReadOnlyEndpoint

Read-only endpoint of the failover group instance.

InstanceFailoverGroupReadWriteEndpoint

Read-write endpoint of the failover group instance.

InstanceFailoverGroupReplicationRole

Local replication role of the failover group instance.

ManagedInstancePairInfo

Pairs of Managed Instances in the failover group.

PartnerRegionInfo

Partner region information for the failover group.

ReadOnlyEndpointFailoverPolicy

Failover policy of the read-only endpoint for the failover group.

ReadWriteEndpointFailoverPolicy

Failover policy of the read-write endpoint for the failover group. If failoverPolicy is Automatic then failoverWithDataLossGracePeriodMinutes is required.

SecondaryInstanceType

Type of the geo-secondary instance. Set 'Standby' if the instance is used as a DR option only.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

InstanceFailoverGroup

An instance failover group.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.managedInstancePairs

ManagedInstancePairInfo[]

List of managed instance pairs in the failover group.

properties.partnerRegions

PartnerRegionInfo[]

Partner region information for the failover group.

properties.readOnlyEndpoint

InstanceFailoverGroupReadOnlyEndpoint

Read-only endpoint of the failover group instance.

properties.readWriteEndpoint

InstanceFailoverGroupReadWriteEndpoint

Read-write endpoint of the failover group instance.

properties.replicationRole

InstanceFailoverGroupReplicationRole

Local replication role of the failover group instance.

properties.replicationState

string

Replication state of the failover group instance.

properties.secondaryType

SecondaryInstanceType

Type of the geo-secondary instance. Set 'Standby' if the instance is used as a DR option only.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

InstanceFailoverGroupReadOnlyEndpoint

Read-only endpoint of the failover group instance.

Name Type Description
failoverPolicy

ReadOnlyEndpointFailoverPolicy

Failover policy of the read-only endpoint for the failover group.

InstanceFailoverGroupReadWriteEndpoint

Read-write endpoint of the failover group instance.

Name Type Description
failoverPolicy

ReadWriteEndpointFailoverPolicy

Failover policy of the read-write endpoint for the failover group. If failoverPolicy is Automatic then failoverWithDataLossGracePeriodMinutes is required.

failoverWithDataLossGracePeriodMinutes

integer (int32)

Grace period before failover with data loss is attempted for the read-write endpoint. If failoverPolicy is Automatic then failoverWithDataLossGracePeriodMinutes is required.

InstanceFailoverGroupReplicationRole

Local replication role of the failover group instance.

Value Description
Primary

Primary

Secondary

Secondary

ManagedInstancePairInfo

Pairs of Managed Instances in the failover group.

Name Type Description
partnerManagedInstanceId

string

Id of Partner Managed Instance in pair.

primaryManagedInstanceId

string

Id of Primary Managed Instance in pair.

PartnerRegionInfo

Partner region information for the failover group.

Name Type Description
location

string

Geo location of the partner managed instances.

replicationRole

InstanceFailoverGroupReplicationRole

Replication role of the partner managed instances.

ReadOnlyEndpointFailoverPolicy

Failover policy of the read-only endpoint for the failover group.

Value Description
Disabled

Disabled

Enabled

Enabled

ReadWriteEndpointFailoverPolicy

Failover policy of the read-write endpoint for the failover group. If failoverPolicy is Automatic then failoverWithDataLossGracePeriodMinutes is required.

Value Description
Manual

Manual

Automatic

Automatic

SecondaryInstanceType

Type of the geo-secondary instance. Set 'Standby' if the instance is used as a DR option only.

Value Description
Geo

Geo

Standby

Standby

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.